/*+----------+--------------------------------------------------+----------+
  + 15/06/98 +             EICDOS.cpp                           + Ver 1.00 +
  +----------+--------------------------------------------------+----------+
  +                                                                        +
  +    Ce fichier implémente les fonctions et classes qui permettent de    +
  + gérer des données et structures de données issues historiquement des   +
  + développements EIC réalisés sous DOS.                                  +
  +------------------------------------------------------------------------+*/
#include "EIC.h"
#pragma hdrstop

#pragma package(smart_init)
#include "EICDOS.h"


dateDOS& __fastcall dateDOS::operator << ( const TDateTime& dt)
{
 unsigned short ushMois, ushJour;
 if( (int)dt == 0)
   this->m_nDate = 0;                   // La date C++ est vide (peut-être pas l'heure mais on s'en fou...)
 else
 { // Décodage de la date
   dt.DecodeDate( &m_a, &ushMois, &ushJour);
   m_j = (unsigned char)ushJour;
   m_m = (unsigned char)ushMois;
 }
 return( *this);
}


TDateTime& __fastcall operator << ( TDateTime& dt, const dateDOS& d)
{
 if( d.m_nDate == 0)
   dt = (int)0;       // La date C est vide => RAZ de la date C++ (correspond au 31/12/1899)
 else
   dt = TDateTime( d.m_a, (unsigned short)d.m_m, (unsigned short)d.m_j);  // Encodage de la date
 return dt;
}

